Subject: Re: bug#41934: reverse-region no longer works

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Jun 2020 21:44:56 +0300

> From: Richard Copley <[email-masked]>
> Date: Thu, 18 Jun 2020 19:33:57 +0100
> Cc: [email-masked]
> 
> > Looks good, but what if beg and end are on the same line (at the point
> > where you added the test)?  Does that not warrant the error message?
> 
> Not that error message, no, but rather something like "There are fewer
> than two lines in the region".

The original message says "lines", plural, so I think it kinda hints
on that.  We could make it say something that will cover both cases.

> I don't see the point of this error at all: if there are fewer than
> two lines in the region-to-be-reversed at that point, in my opinion
> the command should have no effect.

Indeed, it doesn't have any effect.  I'm asking whether this should be
flagged, since doing that makes no sense.